20 更新后tkz-base冲突

发布于 2022-01-12 14:22:50

2022年1月12日,texlive用tlmgr更新了所有包,然后编译时,原来可以的文件报错了,提示
[{

"resource": "/usr/local/texlive/2021/texmf-dist/tex/latex/tkz-base/tkz-obj-axes.tex",
"owner": "LaTeX",
"severity": 8,
"message": "Command \\tkzgetinteger already defined.\n",
"source": "LaTeX",
"startLineNumber": 20,
"startColumn": 1,
"endLineNumber": 20,
"endColumn": 65536

}]
等等,似乎是tkz-base和tikz冲突了?请教一下有办法补救吗?因为很多文件中使用了tikz和tikz-euclide,有没有办法退回到更新前

查看更多

关注者
0
被浏览
100
寄存器
寄存器 2022-01-12

给MWE,没有代码,猜不到

3 个回答
华行蓉左
华行蓉左 2022-01-12

我找到原因了,tkz-euclide现在不会自带tkz-base了,所以需要自己加载这两个一起,不能只加载tkz-euclde,当然我说的不一定对,但是目前我自己的问题解决了.

仗剑天涯
仗剑天涯 2 days ago

我也是更新后出错,重装后不更新可以通过,一更新又出错,我从新安装几次了,现在终于明白了。

撰写答案

请登录后再发布答案,点击登录

发布
问题

分享
好友

手机
浏览

扫码手机浏览